# karma-gzip-preprocessor [![NPM version](https://badge.fury.io/js/karma-gzip-preprocessor.svg)](http://badge.fury.io/js/karma-gzip-preprocessor)

**A Karma preprocessor for compressing test assets.**

Particularly handy when working with large test bundles and remote browser-cloud services like Browserstack or Saucelabs.

### Installation

```
npm install karma-gzip-preprocessor --save-dev
```

### Requirements

Since karma-gzip-preprocessor has a minimum requirement of karma v3.1.0.

**For older versions of karma**, see the [README for karma-gzip v2](https://github.com/GreenGremlin/karma-gzip-preprocessor/tree/v2.0.1).

### Configuration

Just add the `gzip` preprocessor to your karma config.

``` js
// karma.conf.js
module.exports = function(config) {
  config.set({
    files: [
      'src/polyfills.js',
      'src/**/*.test.js'
    ],
    preprocessors: {
      // The gzip preprocessor should be the last preprocessor.
      // Compress specific tests...
      'src/large_bundle.test.js': ['webpack', 'sourcemap', 'gzip'],
      // or compress all files.
      'src/polyfills.js': ['webpack', 'sourcemap', 'gzip'],
      'src/**/*.test.js': ['webpack', 'sourcemap', 'gzip'],
    }
  });
};
```

Verify your assets are gzipped when you see output simmilar to the following:

``` shell
$ karma start

INFO [preprocessor.gzip]: compressed /MyProject/src/polyfills.js [2MB -> 437KB]
INFO [preprocessor.gzip]: compressed /MyProject/src/index.test.js [5MB -> 1MB]
```

### License

MIT (http://www.opensource.org/licenses/mit-license.php)
